# Get status of a one time token

Retrieve necessary information to clear a OTT.

Endpoint: GET /v1/one-time-token/status
Security: UserToken

## Security:

  - `UserToken` (unknown)
    http bearer JWT

## Header parameters:

  - `One-Time-Token` (string, required)
    Text value of a OTT.

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200:

  - `200` (unknown)
    One time token status.

## Response 200 fields (application/json):

  - `oneTimeTokenProperties` (object)
    Properties of the one time token.

  - `oneTimeTokenProperties.oneTimeToken` (string)
    Unique identifier of a one time token.

  - `oneTimeTokenProperties.challenges` (array)
    Array of challenge objects.

  - `oneTimeTokenProperties.challenges.primaryChallenge` (object)
    Type of challenge user can do.

  - `oneTimeTokenProperties.challenges.primaryChallenge.type` (string)
    Type of the challenge (PIN, FACE_MAP, SMS, WHATSAPP, VOICE, PARTNER_DEVICE_FINGERPRINT).

  - `oneTimeTokenProperties.challenges.primaryChallenge.viewData` (object)
    An object that provides data required to present a challenge window. It can be messages, IDs, or other attributes.

  - `oneTimeTokenProperties.challenges.alternatives` (array)
    Alternative challenges that user can do instead.

  - `oneTimeTokenProperties.challenges.required` (boolean)
    Required (or not) to pass the OTT.

  - `oneTimeTokenProperties.challenges.passed` (boolean)
    Status of this challenge.

  - `oneTimeTokenProperties.validity` (integer)
    Seconds until the one time token becomes expired.

  - `oneTimeTokenProperties.actionType` (string)
    The action bound to the one time token. For example, `BALANCE__GET_STATEMENT` when we want to [retrieve a balance account statement](/api-reference/legacy/balance-statement/balancestatementget).

  - `oneTimeTokenProperties.userId` (integer)
    Creator of this one time token.

## Response 200 headers (application/json):

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

## Response 429:

  - `429` (unknown)
    Rate limit exceeded. Retry after the number of seconds specified in the `Retry-After` header.

## Response 429 headers (application/json):

  - `Retry-After` (integer)
    Number of seconds to wait before retrying the request.
    Example: 5

  - `X-Rate-Limited-By` (string)
    Identifies the rate limiter that triggered the 429 response.
    Example: wise-public-api

  - `X-External-Correlation-Id` (string)
    Echoed back when `X-External-Correlation-Id` was included in the request. [Learn more](/guides/developer/headers/correlation-id).
    Example: f47ac10b-58cc-4372-a567-0e02b2c3d479

  - `x-trace-id` (string)
    Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.
    Example: fba501b6d453b96789f52338f019341f

